* {
  color: white;
}


html {
  background-color: hsl(190, 8%, 5%);
}

h1, h2, h3, h4, p {
  voice-family: male;
  richness: 80;
  cue-before: url("beep.au");
}

a:link,
a:visited,
a:hover,
a:active {
  text-decoration: none;
}

#myBtn {
  display: none; /* Hidden by default */
  position: fixed; /* Fixed/sticky position */
  bottom: 20px; /* Place the button at the bottom of the page */
  right: 30px; /* Place the button 30px from the right */
  z-index: 99; /* Make sure it does not overlap */
  border: none;
  outline: none;
  background-color: green;
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 10px;
  font-size: 18px;
}

#myBtn:hover {
  background-color: #555;
}

#icon {
  border-radius: 100%;
}

#main-container {
  display: flex;
  width: 100%;
  height: auto;
}

#contact-info-container {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  text-align: center;
  width: 50%;
  height: auto;
  border: solid black;
  border-width: 0.2em;
  background-image: url(https://i.imgur.com/5cc1YZF.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

#company-name {
  background-color: hsl(188, 2%, 6%, 90%);
  border: solid black;
  border-width: thick;
  border-radius: 50px / 50px;
  margin: 8em 0 1em 0;
  box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

#company-logo {
  border-radius: 50px;
  box-shadow: 0.1em 0.1em 0.6em hsla(0, 0%, 51%, 0.85);
}

#location {
  background-color: hsl(188, 2%, 6%, 90%);
  margin: 1em auto;
  padding: 0.4em;
  border: solid black;
  border-width: thick;
  border-radius: 5px / 5px;
  line-height: 1.8rem;
  box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

.location-info {
  font-size: 1.2rem;
}

#contact-info-intro {
  background-color: hsl(188, 2%, 6%, 90%);
  margin: 6em auto;
  padding: 2em 2em;
  max-width: 70%;
  border: solid black;
  border-width: thick;
  border-radius: 50px 50px / 50px 50px;
  box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

#intro-welcome {
  font-size: 2rem;
  line-height: 2.5rem;
  font-weight: bold;
  color: hsl(100, 93%, 50%);
}

.item-label {
  font-size: 1.4rem;
}

.item {
  font-size: 1.2rem;
}

#contact-item {
  background-color: hsl(188, 2%, 6%, 90%);
  margin: 2em auto;
  padding: 0.5em;
  border: solid black;
  border-width: thick;
  border-radius: 5px / 5px;
  line-height: 2rem;
  box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

#contact-item-fb {
  background-color: hsl(188, 2%, 6%, 90%);
  margin: 10em 0 0 0;
  padding: 0.5em;
  border: solid black;
  border-width: thick;
  border-radius: 5px / 5px;
  line-height: 2rem;
  box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

.facebook-container {
  border: solid black;
  border-width: thick;
  border-radius: 5px / 5px;
}

.facebook-lable {
  font-size: 1.2rem;
}

.facebook-logo {
  height: auto;
  width: 80px;
}

#contact-message-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 50%;
  height: auto;
  border: solid black;
  border-width: 0.2em;
  background-image: url(https://i.imgur.com/ASgpGku.jpg);
  background-repeat: no-repeat;
  background-size: cover;
  box-shadow: 1em 1em 1em hsl(46, 9%, 3%);
}

#contact-us {
  font-size: 1.6rem;
  font-weight: 900;
  text-align: center;
  margin: 6em 6em 4em 6em;
}

#form-items {
  margin: 4em auto;
  text-align: center;
}

#label {
  font-size: 2rem;
  margin: 0.8em auto;
}

#firstName,
#lastName,
#email,
#phone {
  width: 20em;
  height: 3em;
}

#optional {
  color: red;
  margin-bottom: 0.1em;
}

input,
textarea {
  color: hsl(0, 100%, 0%);
}

textarea::placeholder {
  color: hsl(0, 100%, 0%, 60%);
}

#message-container {
  margin: 1em auto;
}

#message {
  font-size: 1.2rem;
}

#submit-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

#submitForm {
  font-size: 1.4rem;
  font-weight: 600;
  margin-bottom: 2em;
  color: rgb(0, 0, 0);
  background-color: hsl(100, 93%, 50%);
  border: solid;
  border-width: 1px;
  border-radius: 15px 15px / 15px 15px;
  transition: font-size 0.8s, transform 1.4s;
}

#submitForm:hover {
  cursor: pointer;
  font-size: 1.8rem;
}

footer {
  margin: 8em 0 0 0;
  color: hsl(100, 93%, 50%);
}

@media only screen and (max-width: 1835px) and (min-width: 1300px) {
  .shipping {
    width: 80%;
  }
}

@media only screen and (max-width: 1299px) and (min-width: 800px) {
  #company-name {
    height: auto;
    width: 350px;
  }

  #location {
    margin: 1.5em 6em;
  }

  .item-label {
    font-size: 1.2em;
  }

  .item {
    font-size: 1rem;
  }

  .location-info {
    font-size: 1.2rem;
  }

  #intro-welcome {
    font-size: 1.4rem;
    line-height: 1.6rem;
  }

  .shipping {
    width: 80%;
  }

  #disclaimer {
    font-size: 0.8em;
  }

  #contact-us {
    font-size: 1.2rem;
  }

  #label {
    font-size: 1.6rem;
  }

  #message {
    height: 15em;
    width: 20em;
  }
}

@media only screen and (max-width: 799px) and (min-width: 500px) {
  #company-name {
    height: auto;
    width: 250px;
  }

  #location {
    margin: 1.5em 3em;
  }

  #contact-info-intro {
    max-width: 100%;
    margin: 6em 1em;
    padding: 1em 1em;
  }

  .item-label {
    font-size: 1.2em;
  }

  .item {
    font-size: 1rem;
  }

  .location-info {
    font-size: 1.2rem;
  }

  #intro-welcome {
    font-size: 1.4rem;
    line-height: 1.6rem;
  }

  .shipping {
    width: 80%;
  }

  #disclaimer {
    font-size: 0.8em;
  }

  #contact-us {
    font-size: 1rem;
    margin: 6em 3em 4em 3em;
  }

  #label {
    font-size: 1.1rem;
  }

  #firstName,
  #lastName,
  #email,
  #phone {
    width: 10em;
    height: 3em;
  }

  #message {
    height: 5em;
    width: 10em;
  }
}

@media only screen and (max-width: 499px) and (min-width: 415px) {
  #company-name {
    height: auto;
    width: 200px;
  }

  #location {
    margin: 1.5em 1em;
  }

  #contact-info-intro {
    max-width: 100%;
    margin: 6em 1em;
    padding: 1em 1em;
  }

  #intro-welcome {
    font-size: 1.4rem;
    line-height: 1.6rem;
  }

  .item-label {
    font-size: 1.2em;
  }

  .item {
    font-size: 1rem;
  }

  .location-info {
    font-size: 1rem;
  }

  .shipping {
    width: 80%;
  }

  #disclaimer {
    font-size: 0.8em;
  }

  #contact-us {
    font-size: 1rem;
    margin: 1em 3em 4em 3em;
  }

  #label {
    font-size: 1.1rem;
  }

  #firstName,
  #lastName,
  #email,
  #phone {
    width: 10em;
    height: 3em;
  }

  #message {
    height: 5em;
    width: 10em;
  }
}

@media only screen and (max-width: 414px) and (min-width: 340px) {
  #company-name {
    height: auto;
    width: 150px;
  }

  #location {
    margin: 1.5em auto;
  }

  .location-info {
    font-size: 0.8rem;
  }

  #contact-info-intro {
    max-width: 100%;
    margin: 6em 0.5em;
    padding: 1em 1em;
  }

  #intro-welcome {
    font-size: 1rem;
    line-height: 1.2rem;
    font-weight: 900;
    color: hsl(122, 100%, 49%);
  }

  .item-label {
    font-size: 1em;
  }

  .item {
    font-size: 0.8rem;
  }

  .shipping {
    width: 80%;
  }

  #disclaimer {
    font-size: 0.8em;
  }

  #contact-us {
    font-size: 0.8rem;
    margin: 1em 3em 4em 3em;
  }

  #label {
    font-size: 1rem;
  }

  #firstName,
  #lastName,
  #email,
  #phone {
    width: 6em;
    height: 2em;
  }

  #message {
    font-size: 1rem;
    height: 3em;
    width: 10em;
  }
}

@media only screen and (max-width: 339px) and (min-width: 200px) {
  #company-name {
    height: auto;
    width: 100px;
  }

  #location {
    margin: 1.5em 0.5em;
  }

  .location-info {
    font-size: 0.8rem;
  }

  #contact-info-intro {
    max-width: 100%;
    margin: 6em 0.2em;
    padding: 1em 0.5em;
  }

  #intro-welcome {
    font-size: 1rem;
    line-height: 1.2rem;
    font-weight: 900;
    color: hsl(122, 100%, 49%);
  }

  .item-label {
    font-size: 1em;
  }

  .item {
    font-size: 0.6rem;
  }

  .shipping {
    width: 90%;
  }

  #disclaimer {
    font-size: 0.8em;
  }

  #contact-us {
    font-size: 0.8rem;
    margin: 1em 3em 4em 3em;
  }

  #label {
    font-size: 1rem;
  }

  #firstName,
  #lastName,
  #email,
  #phone {
    width: 6em;
    height: 2em;
  }

  #message {
    font-size: 1rem;
    height: 3em;
    width: 6em;
  }
}

footer {
  font-size: 0.6rem;
}
